class CapabilityMachinesController < RxModule::ApplicationController
  def self.set_target_before
    super + [:toggle]
  end

  model_data_store(CapabilityMachine)

  def before_set_targets
    CapabilityMachine.joins(:capability)
  end

  def before_filter(filter)
    return nil if filter[:id] == "id"
    filter[:id] = 'capabilities.name' if filter[:id] == 'capability_name'
    filter
  end

  def before_sort(filter)
    filter[:id] = 'capabilities.name' if filter[:id] == 'capability_name'
    filter
  end

  def toggle
    @model.toggle(:enabled)
    if @model.save
      render json: @model
    else
      render json: @model.errors, status: :unprocessable_entity
    end
  end

  private

  def model_params
    params.fetch(:capability_machine).permit( :id, :capability_id, :machine_id, :enabled)
  end
end

