class ConnectorsController < RxModule::ApplicationController
  model_data_store(Connector,
                   {create: false, read: true, update: true, delete: false, index: true},
                   {create: false, read: true, update: true, delete: false, index: true}
  )

  def before_filter(filter)
    if filter[:id] == 'device_id'
      filter[:id] = 'component_id'
      filter[:value] = Device.find(filter[:value]).component_id
    end
    if filter[:id] == 'component_id'
      filter[:strict_match] = true
    end
    filter
  end

  def update
    params = model_params

    remove_from_routing_graph = @model[:name] != params[:name]

    @model.assign_attributes_from_params(params)

    if @model.save
      RoutingGraph.instance.remove_node(@model.component.id) if remove_from_routing_graph
      render json: @model
    else
      render json: @model.errors, status: :unprocessable_entity
    end
  end

  private

  def model_params
    params.fetch(:connector).permit( :id, :name, :variable, :connector_type, :priority, :path, :action_delay, :component_id, :rx_scanner_reference, :opcua_scanner_reference, :scanner_retry, :state, :path_length, control_action_config: {})
  end
end

