class DeviceTimersController < RxModule::ApplicationController
  model_data_store(DeviceTimer)

  def create
    params = model_params
    device_timer = DeviceTimer.new(variable: params[:variable], time: params[:time], description: params[:description])
    device_type = DeviceType.find(params[:device_type_id])
    device_timer.device_type = device_type
    if device_timer.save
      render json: device_timer
    else
      render status: :unprocessable_entity
    end
  end

  private

  def model_params
    params.fetch(:device_timer).permit( :variable, :time, :description, :device_type_id, :opcua_component_id)
  end
end