class JobsController < RxModule::ApplicationController
  include PushDataResponse
  include RouterDataWrapper
  include RouterResponse

  model_data_store(Job,
                   {create: false, read: false, update: false, delete: false, index: false},
                   {create: false, read: false, update: false, delete: false, index: false})

  def rx_data_update
    job_params, machine_params, job_state = job_state_params
    RxDataJobs::JobStateJob.perform_later(job_params, machine_params, job_state)
    send_push_response
  end

  concerning :RouterRoutes do
    def post_job_states_to_rx_data
      JobPostJobStatesToRxDataJob.perform_later(post_job_state_to_rx_data_params)
      send_router_response
    end

    private

    def post_job_state_to_rx_data_params
      dig_to_data.permit(jobStates: [:searchParams => {}, :jobState => {}])
    end
  end

  private

  def job_state_params
    job = params.require(:job).permit(:number)
    machine = params.require(:machine).permit(:sn, :name)
    job_state = params.permit( :process, :side, :state, :time, :comment, :scrap_reason, :substate)
    [job, machine, job_state]
  end
end