class LmsConfigsController < RxModule::ApplicationController
  def self.set_target_before
    super + [:reinitialize]
  end

  # Since the LMS config is part of the settings, no point in having it's own permissions
  model_data_store(LmsConfig,
                   {create: true, read: true, update: true, delete: true, index: true},
                   {create: true, read: true, update: true, delete: true, index: true})
  also_protect_with([
                      RxModule::Authorization.verb("reinitialize", "reinitialize", :reinitialize),
                    ])

  def reinitialize
    resp = @model.reinitialize
    ExternalSystems.broadcast_statuses
    render json: {online: resp}
  end

  private

  def model_params
    params.fetch(:lms_config).permit(:length_left_bound, :length_right_bound, :priority, :lms_type, :external_dcs_id)
  end
end