class RoutingGraphsController < RxModule::ApplicationController
  model_data_store(RoutingGraph)

  before_action :set_cache_headers

  def create
    params = model_params
    routing_graph = RoutingGraph.new(serialized_data: params[:serialized_data])
    if routing_graph.save
      render json:routing_graph
    else
      render json: routing_graph.errors, status: :unprocessable_entity
    end
  end

  def update
    routing_graph = RoutingGraph.find(1)
    params = model_params
    routing_graph[:serialized_data] = params[:serialized_data]
    if routing_graph.save
      render json:routing_graph
    else
      render json: routing_graph.errors, status: :unprocessable_entity
    end
  end

  def create_graph_from_json(line)
    routing_graph = RoutingGraph.first
    if line == 'fv'
      routing_graph[:serialized_data] = File.read('lineData/fv_routing_graph.json')
    elsif line == 'tristar'
      routing_graph[:serialized_data] = File.read('lineData/tristar_routing_graph.json')
    elsif line == 'basic1'
      routing_graph[:serialized_data] = File.read('lineData/basic1_routing_graph.json')
    elsif line == 'nc'
      routing_graph[:serialized_data] = File.read('lineData/nc_routing_graph.json')
    end

    if routing_graph.save
      routing_graph.name_to_id
      routing_graph.clean_graph
      render json: routing_graph
    else
      render json: routing_graph.error
    end
  end

  private

  def model_params
    params.fetch(:routing_graph).permit(:serialized_data)
  end

  def set_cache_headers
    response.headers["Cache-Control"] = "no-cache, no-store"
    response.headers["Pragma"] = "no-cache"
    response.headers["Expires"] = "Mon, 01 Jan 1990 00:00:00 GMT"
  end
end
