import React from "react";
import {ModelInput} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {t} from "@lingui/macro";

export const PathLengthInput: React.FunctionComponent = observer(() => {

    return (
        <ModelInput
            name={'path_length'}
            type={"number"}
            hint={
                {
                    title: t`Path Length`,
                    text: t`Value used by the pathfinding to determine shortest path. Default value of 1, values greater than 1 will de-prioritize the output.`
                }
            }
        />
    )
});