import * as React from "react";
import {makeStyles} from "@material-ui/core/styles";
import {Box, createStyles, Divider, Grid, Theme} from "@material-ui/core";

const useStyles = makeStyles((theme: Theme) =>
    createStyles({
        title: {
            fontWeight: 'bold',
            marginRight: theme.spacing(2)
        }
    })
);

export const HintList: React.FunctionComponent<HintListProps> = ({primaryText, items}) => {
    const classes = useStyles();

    return (
        <div>
            {primaryText &&
                <Box mb={1}>
                    {primaryText}
                </Box>
            }
            <Grid container>
                    <Grid direction={'column'}>
                        {
                            items.map((item) => <div className={classes.title}>{item.title}</div>)
                        }
                    </Grid>
                    <Grid direction={'column'}>
                        {
                            items.map((item) => <div>{item.text}</div>)
                        }
                    </Grid>
            </Grid>
        </div>
    );
};

type HintListProps = {
    primaryText?: string;
    items: ListItem[];
}

type ListItem = {
    title: string;
    text: string;
}
