import * as React from "react";
import {observer} from "mobx-react-lite";
import {useModelContext} from "@rx-suite/ui";
import {TagConditionComponent} from "../TagConditionComponent";
import {Utils as QbUtils} from "react-awesome-query-builder";
import {JobProcessModel} from "../../../stores/machine/JobProcessStore";

type JobProcessConditionTabProps = { }

export const JobProcessConditionsTab: React.FunctionComponent<JobProcessConditionTabProps> = observer(() => {
    const model = useModelContext() as JobProcessModel;

    const setStateCB = (newTree, newConfig) => {
        model.viewModel.condition = QbUtils.jsonLogicFormat(newTree, newConfig);
    }

    return (
        <React.Fragment>
            <TagConditionComponent target={'job_process'} model={model} setStateCB={setStateCB}/>
        </React.Fragment>
    );
});
