import * as React from "react";
import {t} from "@lingui/macro";
import {Alert} from "@material-ui/lab";
import {useModelContext} from "@rx-suite/ui";
import {MachineModel} from "../../stores/machine/MachineStore";
import {observer} from "mobx-react-lite";
import {Box} from "@material-ui/core";

export const MachineOfflineAlert: React.FunctionComponent = observer(() => {
    const model = useModelContext() as MachineModel;

    if(model.forced_state !== 'offline'){
        return null;
    }

    return (
        <Box mb={0.5}>
            <Alert severity={'warning'}>
                {t`This machine is currently set to state 'OFFLINE'. No jobs will be routed to this machine.`}
            </Alert>
        </Box>

    );
});



