import * as React from "react";
import {observer} from "mobx-react-lite";
import {ModelFormProps, ModelProvider, PaddedPaper} from "@rx-suite/ui";
import {MachineOfflineAlert} from "../MachineOfflineAlert";
import {MachineModel} from "../../../stores/machine/MachineStore";
import {RouterResourceModelForm} from "../../router/RouterResourceModelForm";

type MachineModelFormProps = {
    model: MachineModel;
} & Partial<Omit<ModelFormProps, 'submitText' | 'model'>>

export const MachineModelForm: React.FunctionComponent<MachineModelFormProps> = observer(({model, ...props}) => {
    return (
        <PaddedPaper>
            <ModelProvider value={model}>
                <MachineOfflineAlert/>
            </ModelProvider>
            <RouterResourceModelForm model={model} {...props}/>
        </PaddedPaper>
    )
})