import * as React from "react";
import {observer} from "mobx-react-lite";
import {JobProcessModel, JobProcessStore} from "../../../../stores/machine/JobProcessStore";
import {ModelSelect, useModelContext} from "@rx-suite/ui";
import {MachineModel} from "../../../../stores/machine/MachineStore";
import {useRouterOnline} from "../../../../hooks/useRouterOnline";

export const MachineProcessSelector: React.FunctionComponent = observer(() => {
    const model = useModelContext() as MachineModel;
    JobProcessStore.getAll();

    const options = React.useMemo(() => {
        return JobProcessStore.models
            .filter((process: JobProcessModel) => !process.is_control_process)
            .map((process: JobProcessModel) => ({label: process.name, value: process.getId()}))
    }, [JobProcessStore.model]);

    if(model.isNew){
        return <ModelSelect name={'job_process_id'} options={options}/>
    }

    return(
        <ModelSelect name={'job_process_id'} options={options} disabled={useRouterOnline()}/>
    )
})
