import * as React from "react";
import {observer} from "mobx-react-lite";
import {MachineModel} from "../../../../stores/machine/MachineStore";
import {t} from "@lingui/macro";
import {ModelInput, useModelContext} from "@rx-suite/ui";

export const MachineForceDurationInput: React.FunctionComponent = observer((props) => {
    const model = useModelContext() as MachineModel;

    const text = React.useMemo(() => {
        if(model.sn){
            return t`Send Finished State After (seconds)`;
        }
        return t`Force Duration (seconds)`;
    }, []);

    if(model.viewModel.apply_process_change_on === 'use_job_state'){
        return null;
    }

    // For MES machines, only allow a forced duration if it's on 'auto finish'
    if(model.sn && model.viewModel.apply_process_change_on != 'auto_finish'){
        return null;
    }

    return (
        <ModelInput label={text} name={'force_duration'}/>
    );
});
