import {observer} from "mobx-react-lite";
import {useMemo} from "react";
import {ModelSelect, useModelContext} from "@rx-suite/ui";
import * as React from "react";
import {t} from "@lingui/macro";
import {MachineModel} from "../../../../stores/machine/MachineStore";

export const MachineForceStateSelector: React.FunctionComponent = observer(({}) => {
    const model = useModelContext() as MachineModel;

    const stateOptions = useMemo(() => {
        if(model.type !== 'MachineMes') {
            return [
                {label:'online', value: 'online'},
                {label:'offline', value: 'offline'}
            ]
        }
        return [
            {label:'Use Real State', value: 'use_state'},
            {label:'Online', value: 'online'},
            {label:'Offline', value: 'offline'}
        ]
    }, [model.sn])

    return <ModelSelect name={'forced_state'} label={t`State`} options={stateOptions}/>
})