import * as React from "react";
import {observer} from "mobx-react-lite";
import {MachineModel} from "../../../../stores/machine/MachineStore";
import {ModelInput, useModelContext} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {useRouterOnline} from "../../../../hooks/useRouterOnline";

type Props = {}

export const MachineNameInput: React.FunctionComponent<Props> = observer(({}) => {
    const model = useModelContext() as MachineModel;

    const hint = React.useMemo(() => {
        if (model.sn) {
            return {
                title: 'Machine Name',
                text: t`The name of this machine can only be changed through Rx-Data.`
            }
        }
        return undefined;
    }, []);

    if(model.isNew){
        return (
            <ModelInput name={'name'} hint={hint}/>
        );
    }

    return (
        <ModelInput name={'name'} disabled={useRouterOnline() || model.sn != null} hint={hint}/>
    );
});
