import * as React from "react";
import {observer} from "mobx-react-lite";
import {MachineStore} from "../../../../stores/machine/MachineStore";
import {t} from "@lingui/macro";
import {useEffect} from "react";
import {ModelSelect} from "@rx-suite/ui";
import {useRouterOnline} from "../../../../hooks/useRouterOnline";

export const MachineTargetRejectSelector: React.FunctionComponent = observer(() => {
    const [rejectMachines, setRejectMachines] = React.useState<any>([])

    useEffect(() => {
        const fetch = async () => {
            const resp = await MachineStore.transportLayer.fetch(`/reject_stations`, {
                method: "GET",
                headers: {'Content-Type': 'application/json'}
            })

            const data = await resp.json();

            setRejectMachines(data.map((machine) => ({
                value: machine.id,
                label: machine.name
            })));
            setRejectMachines((prevState) => [...prevState, {value: 0, label: t`none`}])
        }

        fetch();
    }, []);

    return (
        <ModelSelect name={'selected_reject'} options={rejectMachines} disabled={useRouterOnline()}/>
    );
});
