import * as React from "react";
import {observer} from "mobx-react-lite";
import {useMemo} from "react";
import {t} from "@lingui/macro";
import {ModelSelect} from "@rx-suite/ui";
import {SelectFieldProps} from "@rx-suite/ui/lib/components/base";

type Props = {
} & Partial<Omit<SelectFieldProps, 'options'>>

export const MachineTypeSelector: React.FunctionComponent<Props> = observer(({...props}) => {
    const typeOptions = useMemo(() => {
        return [
            {label: t`Reject Station`, value: 'MachineReject'},
            {label: t`Start Point`, value: 'MachineStart'},
            {label: t`Exit`, value: 'MachineExit'},
            {label: t`Other`, value: 'MachineVirtual'}
        ]
    }, [])

    return (
        <ModelSelect name={'type'} label={t`Type`} options={typeOptions} {...props}/>
    )
})