import React from "react";
import {observer} from "mobx-react-lite";
import {Box, createStyles, Paper, Theme, Typography} from "@material-ui/core";
import {t} from "@lingui/macro";
import {makeStyles} from "@material-ui/core/styles";
import {grey} from "@material-ui/core/colors";

type OrderNumberDisplayProps = {
    orderNumber: string;
};

const useStyles = makeStyles((theme: Theme) =>
    createStyles({
        paper: {
            width: 'fit-content'
        },
        orderNumberText: {
            color: grey[700]
        }
    })
);

export const OrderNumberDisplay: React.FunctionComponent<OrderNumberDisplayProps> = observer(({orderNumber}) => {

    const classes = useStyles();

    const displayOrderNumber = orderNumber || t`N/A`;

    return <Box p={1}>
        <Typography variant={'h4'} className={classes.orderNumberText}>
            {t`Job Number: ${displayOrderNumber}`}
        </Typography>
    </Box>;
});
