import React from "react";
import {observer} from "mobx-react-lite";
import {Box} from "@material-ui/core";
import {t} from "@lingui/macro";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {ButtonField, useFlag, useModelContext} from "@rx-suite/ui";
import {faHistory} from "@rx-suite/pro-solid-svg-icons";
import {OrderHistoryDialog} from "./OrderHistoryDialog";
import {OrderModel} from "../../../../../stores/OrderStore";

export const OrderHistoryButton: React.FunctionComponent = observer(({}) => {

    const model = useModelContext() as OrderModel;

    const [open, setOpenTrue, setOpenFalse, toggleOpen] = useFlag(false);

    return (
        <Box ml={1}>
            <ButtonField
                text={t`History`}
                onClick={setOpenTrue}
                color={'primary'}
                variant={'contained'}
                startIcon={<FontAwesomeIcon icon={faHistory}/>}
            />
            <OrderHistoryDialog
                orderId={Number(model.getId())}
                open={open}
                handleClose={setOpenFalse}
            />
        </Box>
    );
});
