import React from "react";
import {observer} from "mobx-react-lite";
import {Box, createStyles, Theme, Typography} from "@material-ui/core";
import {makeStyles} from "@material-ui/core/styles";
import {RequiredProcessState} from "../../../../../stores/RequiredProcessStore";

type StateCellProps = {
    state: RequiredProcessState | "REWORK";
    colors: {
        text: string;
        background: string;
    };
};

const useStyles = makeStyles((theme: Theme) =>
    createStyles({
        stateText: {
            overflow: 'hidden',
            textOverflow: 'ellipsis',
            fontWeight: 'bold'
        }
    })
);

export const StateCell: React.FunctionComponent<StateCellProps> = observer(({state, colors}) => {

    const classes = useStyles();

    return <Box display={'flex'} alignItems={'center'} justifyContent={'space-around'} height={'100%'} bgcolor={colors.background}>
        <Typography className={classes.stateText} variant={'subtitle1'}>
            <span style={{color: colors.text}}>{state}</span>
        </Typography>
    </Box>;
});
