import React from "react";
import {Column} from "react-table";
import {RequiredProcessStateHistoryModel} from "../../../../../../stores/RequiredProcessStateHistoryStore";
import {t} from "@lingui/macro";
import { RequiredProcessHistoryStateCell } from "./RequiredProcessHistoryStateCell";

export const useRequiredProcessHistoryStateColumn = (): Column => {

    return {
        Header: t`State`,
        id: 'state',
        accessor: (d) => d,
        Cell: (cellInfo: {value: RequiredProcessStateHistoryModel }) => {
            if(!cellInfo.value || !cellInfo.value.state){
               return null;
            }

            const currentState = cellInfo.value.state;
            const comment = cellInfo.value.comment || t`Abort reason not provided`;

            return <RequiredProcessHistoryStateCell state={currentState} comment={comment}/>;
        },
        sortable: false, // sort doesn't seem to work on cloned store
    };
};
