import * as React from "react";
import {t} from "@lingui/macro";
import {useRouterOnline} from "../../hooks/useRouterOnline";
import {Alert} from "@material-ui/lab";

export const RouterOnlineAlert: React.FunctionComponent = () => {
    if(!useRouterOnline()){
        return null;
    }

    return (
        <Alert severity={'info'}>
            {t`Some settings are disabled because the router is currently running. Updating this configuration will also update the live configuration.`}
        </Alert>
    );
};



