import {ConnectorStore} from "../../stores/ConnectorStore";
import {DeviceModel} from "../../stores/Device/DeviceStore";

export const useDeviceConnectors = async (device: DeviceModel) => {
    if (device.isNew) {
        return;
    }

    await ConnectorStore.refreshData({
        page: 0,
        limit: 20,
        sorted: [],
        filtered: [{id: 'component_id', value: device.component_id, strictMatchFilter: true}]
    })
}