import {DeviceModel} from "../../stores/Device/DeviceStore";
import {DeviceRoutingCommandDeviceStore} from "../../stores/Device/DeviceRoutingCommandDeviceStore";

export const useDeviceRoutingCommands = async (device: DeviceModel) => {
    if (device.isNew) {
        return;
    }

    await DeviceRoutingCommandDeviceStore.refreshData({
        page: 0,
        limit: 20,
        sorted: [],
        filtered: [{id: 'opcua_device_id', value: device.getId(), strictMatchFilter: true}]
    })
}