import {ConnectorModel} from "../../../stores/ConnectorStore";
import React from "react";
import {Column} from "react-table";
import {t} from "@lingui/macro";
import {green, orange, red} from "@material-ui/core/colors";
import {Typography} from "@material-ui/core";

export const useConnectorStateColumn = (): Column => {
    return (
        {
            Header: t`State`,
            accessor: (connector: ConnectorModel) => connector,
            id: 'state',
            maxWidth: 75,
            Cell: (cellInfo: { value: ConnectorModel }) => {
                const connector = cellInfo.value;

                if(connector.connector_type === 'other'){
                    return null;
                }

                let color: string = green[600];
                if(connector.state === 'offline'){
                    color = red[600];
                }else if(connector.state === 'standby'){
                    color = orange[600];
                }


                return <Typography style={{color: color, fontWeight: 'bold'}}>{cellInfo.value.state}</Typography>
            },
            sortable: false
        }
    )
}


