import {ConnectorModel} from "../../../stores/ConnectorStore";
import React from "react";
import {Grid, IconButton} from "@material-ui/core";
import {Edit} from "@material-ui/icons";
import {Column} from "react-table";
import {Model} from "@rx-suite/data";

export const useDialogEditColumn = (setDialogModel:  React.Dispatch<React.SetStateAction<Model | null>>): Column => {
    return (
        {
            accessor: (connector: ConnectorModel) => connector,
            id: '_actions',
            maxWidth: 55,
            Cell: (cellInfo: { value: ConnectorModel }) => {
                return (
                    <Grid container justifyContent={'flex-end'} alignItems={'center'}>
                        <IconButton onClick={() => setDialogModel(cellInfo.value)}>
                            <Edit/>
                        </IconButton>
                    </Grid>
                )
            },
            sortable: false
        }
    )
}


