import { t } from "@lingui/macro"
import {Grid} from "@material-ui/core";
import * as React from "react";
import {Model} from "@rx-suite/data";
import {MachineModel} from "../../../stores/machine/MachineStore";
import {MachineCapabilityBadge} from "../../../components/machines/bread_model/MachineCapabilityBadge";

export const useMachineCapabilitiesColumn = () => {
    return (
        {
            Header: t`Capabilities`,
            accessor: (machine: MachineModel) => machine,
            id: 'capability_ids',
            Cell: (cellInfo: {value: Model }) => {
                const model = cellInfo.value as MachineModel;
                return (
                    <Grid container direction={'column'}>
                        {
                            model.capability_machines.map((capability) => <MachineCapabilityBadge machineCapability={capability}/>)
                        }
                    </Grid>
                )
            }
        }
    )
}