import { t } from "@lingui/macro"
import {MachineModel} from "../../../stores/machine/MachineStore";

export const useMachineProcessColumn = () => {
    return (
        {
            Header: t`Process`,
            accessor: (machine: MachineModel) => machine,
            id: 'process_id',
            Cell: (cellInfo: {value: MachineModel }) => {
                const model = cellInfo.value as MachineModel;

                if(!model.job_process){
                    return null
                }

                return model.job_process.name;
            },
            strictMatchFilter: true
        }
    )
}