import { t } from "@lingui/macro"
import * as React from "react";
import {DeviceModel} from "../../stores/Device/DeviceStore";
import {Check} from "@material-ui/icons";
import {Grid} from "@material-ui/core";
import {green} from "@material-ui/core/colors";

export const useHasControlActionColumn = () => {
    return (
        {
            Header: t`Has Control Actions`,
            accessor: (device: DeviceModel) => device,
            maxWidth: 135,
            id: 'has_control_action',
            Cell: (cellInfo: {value: DeviceModel }) => {
                if(cellInfo.value.has_control_actions){
                    return (
                        <Grid container justifyContent={'center'}>
                            <Check style={{color: green[600]}}/>
                        </Grid>
                    )
                }
                return null;
            },
            filterable: false,
            sortable: false
        }
    )
}