import * as React from "react";
import { t } from "@lingui/macro"
import {DcsConnectionModel, DcsConnectionStore} from "@rx-suite/stores";
import {LmsConfigModel} from "../../stores/LmsConfigStore";

export const useLmsConnectionNameColumn = () => {
    const dcsModels = DcsConnectionStore.getAll() as DcsConnectionModel[];

    return (
        {
            Header: t`LMS Connection`,
            id: 'lms_connection',
            accessor: (config: LmsConfigModel) => config,
            filterable: false,
            Cell: (cellInfo: {value: LmsConfigModel }) => {
                if(!cellInfo.value.external_dcs_id){
                    return null;
                }

                const model = dcsModels.find(connection => connection.id === cellInfo.value.external_dcs_id);

                if(!model){
                    return null;
                }

                return (model.resolved_name);
            }
        }
    )
}

