import React from "react";
import {JobProcessStore} from "../stores/machine/JobProcessStore";

export const useProcessSelectByName = () => {
    JobProcessStore.getAll();

    const forceToProcessOptions = React.useMemo(() => {
        return JobProcessStore.models
            .filter(jobProcessModel => !jobProcessModel.is_control_process)
            .map(jobProcessModel => ({label: jobProcessModel.resolvedName, value: jobProcessModel.name}))
            .concat([{label: `none`, value: null}]);
    }, JobProcessStore.models)

    return forceToProcessOptions;
}