import * as React from 'react';
import {RequiredProcessModel} from "../stores/RequiredProcessStore";

const RequiredProcessesContext = React.createContext({} as {
    requiredProcesses: Array<RequiredProcessModel>;
    refreshRequiredProcesses: (required_process_ids: number[]) => void;
});

export const useRequiredProcessesContext = () => React.useContext(RequiredProcessesContext);
export const RequiredProcessesProvider = RequiredProcessesContext.Provider;
export const RequiredProcessesConsumer = RequiredProcessesContext.Consumer;