import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import { t } from "@lingui/macro"
import {DeviceTypeStore} from "../../stores/Device/DeviceTypeStore";
import {DeviceTypeForm} from "./DeviceTypeForm";
import {useRouterOnline} from "../../hooks/useRouterOnline";

export const DeviceTypesBreadModel = () => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Device Type Name`, "string"),
            makeColumn('root_node_id', t`Root Node Id`, "string")
        ]

    }, []);

    return (
        <BreadModel store={DeviceTypeStore} Form={DeviceTypeForm} columns={columns} tableProps={{showCreateButton: (!useRouterOnline())}}/>
    )
};