import * as React from 'react';
import {SettingStore} from "../../stores/SettingStore";
import {LinearProgress} from "@material-ui/core";
import {observer} from "mobx-react-lite";
import {MopDevicesBreadModel} from "./mop/MopDevicesBreadModel";
import {OpcuaDevicesBreadModel} from "./opcua/OpcuaDevicesBreadModel";

export const DevicesRouter = observer(() => {
    const settings = SettingStore.selectedModel;

    if (!settings) {
        return <LinearProgress color={'primary'}/>
    }

    if(settings.plcIsOpcua) {
        return <OpcuaDevicesBreadModel/>
    } else {
        return <MopDevicesBreadModel/>
    }
});