import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import { t } from "@lingui/macro";
import {DeviceStore} from "../../../stores/Device/DeviceStore";
import {observer} from "mobx-react-lite";
import {MopDeviceForm} from "./form/MopDeviceForm";
import {useHasControlActionColumn} from "../../../hooks/table_columns/useHasControlActionColumn";

export const MopDevicesBreadModel = observer(() => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('name', t`Name`, 'string'),
            useHasControlActionColumn()
        ]
    }, []);

    return (
        <BreadModel store={DeviceStore}
                    Form={MopDeviceForm}
                    columns={columns}
        />
    )
});