import * as React from "react";
import {observer} from "mobx-react-lite";
import {FormProps, ModelInput} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {ModelFormDialog} from "../../../../../../components/generic/ModelFormDialog";
import {DeviceTimerModel} from "../../../../../../stores/Device/DeviceTimerStore";

type OpcuaConstantDialogFormProps = {
    model: DeviceTimerModel;
    setModel: React.Dispatch<React.SetStateAction<DeviceTimerModel | null>>
} & Omit<FormProps, 'model'>

export const OpcuaConstantDialogForm: React.FunctionComponent<OpcuaConstantDialogFormProps> = observer(({model, setModel}) => {
    return (
        <ModelFormDialog
            title={t`Edit OPC UA constant`}
            model={model}
            setModel={setModel}
        >
            <ModelInput name={'time'}/>
        </ModelFormDialog>
    )
})