import React from "react";
import {observer} from "mobx-react-lite";
import {MachineModel} from "../../../stores/machine/MachineStore";
import {MachineNameInput} from "../../../components/machines/form/inputs/MachineNameInput";
import {MachineModelForm} from "../../../components/machines/form/MachineModelForm";
import {MachineTypeSelector} from "../../../components/machines/form/inputs/MachineTypeSelector";

type StartMachineFormProps = {
    model: MachineModel
}

export const StartMachineForm: React.FunctionComponent<StartMachineFormProps> = observer(({model}) => {
    return(
        <MachineModelForm model={model} suppressMakeCopy suppressImportExport suppressWrapper>
            <MachineTypeSelector disabled={true}/>
            <MachineNameInput/>
        </MachineModelForm>
    )
})