import * as React from "react";
import {observer} from "mobx-react-lite";
import {ModelCheckbox} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {Box} from "@material-ui/core";
import {useRouterOnline} from "../../../../hooks/useRouterOnline";

export const MachineOtherSettingsTab: React.FunctionComponent = observer(() => {
    const routerOnline = useRouterOnline();

    return (
        <React.Fragment>
            <Box>
                <ModelCheckbox
                    name={'allow_job_start'}
                    label={t`Allow Jobs to Start at this Machine?`}
                    disabled={routerOnline}
                    hint={
                            {
                                title: t`Allow Job Start`,
                                text: t`When enabled, jobs can start at this machine without visiting the conveyor start point.`
                            }
                    }
                />
            </Box>
            <Box>
                <ModelCheckbox
                    name={'restart_jobs'}
                    label={t`Restart jobs?`}
                    disabled={routerOnline}
                    hint={
                            {
                                title: t`Restart Jobs`,
                                text: t`Machine will restart jobs whose processes that are higher rank then its own are either started, finished, or aborted`
                            }
                    }
                />
            </Box>
        </React.Fragment>
    );
});
