import * as React from "react";
import {observer} from "mobx-react-lite";
import {MachineTargetRejectSelector} from "../../../../components/machines/form/inputs/MachineTargetRejectSelector";
import {MachineForceDurationInput} from "../../../../components/machines/form/inputs/MachineForceDurationInput";
import {ModelSelect, useModelContext} from "@rx-suite/ui";
import {MachineModel} from "../../../../stores/machine/MachineStore";
import {t} from "@lingui/macro";

export const MachineProcessSettingsTab: React.FunctionComponent = observer(() => {
    const model= useModelContext() as MachineModel;

    const jobBookingOptions = [
            {label: t`Use job State`, value: 'use_job_state'},
            {label: t`Auto Start by Routing`, value: 'auto_start'},
            {label: t`Auto Finish by Routing`, value: 'auto_finish'}
        ];

    return (
        <React.Fragment>
            {
                model.isMesMachine &&
                <ModelSelect name={'apply_process_change_on'} options={jobBookingOptions}/>
            }
            <MachineForceDurationInput/>
            {
                model.isMesMachine &&
                <MachineTargetRejectSelector/>
            }
        </React.Fragment>
    );
});
