import React from "react";
import {PaddedPaper} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {Box} from "@material-ui/core";
import {OrderModel} from "../../../../stores/OrderStore";
import {OrderFindField} from "../../../../components/orders/workstations/view/OrderFindField";
import {OrderInfo} from "../../../../components/orders/OrderInfo";

type OrderFormProps = {
  model: OrderModel;
};

export const OrderViewWorkstation: React.FunctionComponent<OrderFormProps> = observer(({model}) => {

    return (
        <Box>
            <Box mb={1}>
                <OrderFindField/>
            </Box>
            <PaddedPaper>
                <OrderInfo model={model}/>
            </PaddedPaper>
        </Box>
    );
});