import * as SRD from '@projectstorm/react-diagrams';
import {RightAngleLinkFactory} from '@projectstorm/react-diagrams';
import {ComponentNodeFactory} from "../../react-diagrams-helpers/ComponentNode/ComponentNodeFactory";
import {ComponentState} from "../../react-diagrams-helpers/ComponentNode/ComponentState";
import {RightAnglePortFactory} from "../../react-diagrams-helpers/ComponentNode/RightAnglePortFactory";

export class RouteApplication {
	protected activeModel: SRD.DiagramModel;
	protected diagramEngine: SRD.DiagramEngine;

	constructor(routingGraph: any) {
		this.diagramEngine = SRD.default();
		this.diagramEngine.getNodeFactories().registerFactory(new ComponentNodeFactory());
		this.diagramEngine.getLinkFactories().registerFactory(new RightAngleLinkFactory());
		this.diagramEngine.getPortFactories().registerFactory(new RightAnglePortFactory());
		this.diagramEngine.getStateMachine().pushState(new ComponentState());

		this.newModel();
		if(routingGraph && routingGraph.serialized_data) {
			this.activeModel.deserializeModel(JSON.parse(routingGraph.serialized_data), this.diagramEngine);
		}
	}

	public newModel() {
		this.activeModel = new SRD.DiagramModel();
		this.activeModel.setGridSize(25);
		this.activeModel.setLocked(false);

		this.diagramEngine.setModel(this.activeModel);
	}

	public getActiveDiagram(): SRD.DiagramModel {
		return this.activeModel;
	}

	public getDiagramEngine(): SRD.DiagramEngine {
		return this.diagramEngine;
	}
}