import React from "react";
import {FormProps} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import createEngine, { DiagramModel, DefaultNodeModel, DefaultLinkModel} from '@projectstorm/react-diagrams';
import { CanvasWidget } from '@projectstorm/react-canvas-core'

export const RouteForm: React.FunctionComponent<FormProps> = observer(({model}) => {

    const engine = createEngine();

    const diagramModel = new DiagramModel();

    const node1 = new DefaultNodeModel({
        name: 'Node 1',
        color: 'rgb(0,0,125)'
    });
    node1.setPosition(100,100);
    const port1 = node1.addOutPort('Out');

    const node2 = new DefaultNodeModel('Node 2', 'rgb(192,0,0)');
	const port2 = node2.addInPort('In');
	node2.setPosition(400, 100);

	const link1 = port1.link<DefaultLinkModel>(port2);
	link1.getOptions().testName = 'Test';
	link1.addLabel('Label 1')

    diagramModel.addAll(node1, node2, link1);

	engine.setModel(diagramModel)
    return(
        <CanvasWidget engine={engine}/>
    )
});