import * as React from 'react';
import {BreadModel, makeColumn, ModelTableDeleteButton} from "@rx-suite/ui";
import {TagStore} from "../../stores/TagStore";
import {TagForm} from "./TagForm";
import { t } from "@lingui/macro"

export const TagsBreadModel = () => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('tag', t`Tag Name`, "string"),
            makeColumn('value_type', t`Type`, "string")
        ]
    }, []);

    return (
        <BreadModel
            store={TagStore}
            Form={TagForm}
            columns={columns}
            tableProps={{
                replacementActions: {
                    Delete: (row) => {
                        if (row.model.system_tag) {
                            return null;
                        }
                        return <ModelTableDeleteButton store={row.store} model={row.model}/>
                    }
                }
            }}
        />
    )
};