import * as React from 'react';
import { AbstractReactFactory } from '@projectstorm/react-canvas-core';
import { DiagramEngine } from '@projectstorm/react-diagrams-core';
import {ComponentNodeModel} from "./ComponentNodeModel";
import {ComponentNodeWidget} from "./ComponentNodeWidget";

export class ComponentNodeFactory extends AbstractReactFactory<ComponentNodeModel, DiagramEngine> {
	constructor() {
		super('component');
	}

	generateReactWidget(event): JSX.Element {
		return <ComponentNodeWidget engine={this.engine} node={event.model} />;
	}

	generateModel(event) {
		return new ComponentNodeModel();
	}
}