import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: "/api/components",
    permissionTarget: "Component"
})

export class ComponentModel extends Model {
    @attribute({
        label: t`Name`,
        validation: yup.string()
    })
    name: string = '';

    constructor() {
        super();
        super.setup();
    }
}

export const ComponentStore = ComponentModel.store as DataStore<ComponentModel>;
