import {DataStore, Model, attribute, model} from "@rx-suite/data";
import {action} from "mobx";

@model({
    transportLayer: "/api/device_routing_command_devices",
    permissionTarget: "Device"
})

export class DeviceRoutingCommandDeviceModel extends Model {
    @attribute()
    command_name: string = '';

    @attribute()
    command_parameter: string = '';

    @attribute()
    enabled: boolean = true;

    @attribute()
    device_routing_command_id: number = 0;

    @action
    async toggle() {
        return await fetch(`${DeviceRoutingCommandDeviceStore.transportLayer.base}/${this.id}/toggle`, {method: "PUT"});
    }

    constructor() {
        super();
        super.setup();
    }
}

export const DeviceRoutingCommandDeviceStore = DeviceRoutingCommandDeviceModel.store as DataStore<DeviceRoutingCommandDeviceModel>;
