import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: "/api/device_timers",
    permissionTarget: "DeviceTimer",
})

export class DeviceTimerModel extends Model {
    @attribute({
        label: t`Variable`,
        validation: yup.string()
    })
    variable: string = '';

    @attribute({
        label: t`Time (milliseconds`,
        validation: yup.number().min(0)
    })
    time: number = 0;

    @attribute({
        label: t`Description`,
        validation: yup.string().nullable()
    })
    description: string = "";

    @attribute({
        label: t`Device Type Id`,
        validation: yup.number().nullable()
    })
    device_type_id: number = 0;

    constructor() {
        super();
        super.setup();
    }
}

export const DeviceTimerStore = DeviceTimerModel.store as DataStore<DeviceTimerModel>;
