import {attribute, DataStore, Model, model} from "@rx-suite/data";
import * as yup from 'yup';
import {t} from "@lingui/macro";
import moment, {Moment} from "moment";

@model({
    transportLayer: "/api/events",
    permissionTarget: "Event",
    routingInfo: {},
})
export class EventModel extends Model {
    @attribute({
        label: t`Event Type`
    })
    event_type: 'info' | 'warning' | 'fatal' = 'info'

    @attribute({
        label: t`Message`,
    })
    message: string = ''

    @attribute({
        label: t`Details`,
    })
    details: string = ''

    @attribute({
        label: t`Time`
    })
    time: Moment = moment();

    constructor() {
        super();
        super.setup();
    }
}
export const EventStore = EventModel.store as DataStore<EventModel>;