import {attribute, DataStore, Model, model} from "@rx-suite/data";
import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
    transportLayer: "/api/ignored_abort_reasons",
    permissionTarget: "IgnoredAbortReason",
    routingInfo: {
        create: '/ignored_abort_reasons/create',
        update: '/ignored_abort_reasons/:id/edit'
    }
})
export class IgnoredAbortReasonModel extends Model {
    @attribute({
        label: t`Abort Reason`,
        validation: yup.string()
    })
    abort_reason: string = '';

    @attribute()
    job_process_id: number = 0;

    constructor() {
        super();
        super.setup();
    }
}
export const IgnoredAbortReasonStore = IgnoredAbortReasonModel.store as DataStore<IgnoredAbortReasonModel>;
