import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

export const ORDER_HISTORY_EVENT_TYPE = ['order_create', 'order_reject', 'order_unreject', 'order_update', 'process_update', 'location_update', 'order_complete', 'process_set', 'order_rework'] as const;
export type OrderHistoryEventType = typeof ORDER_HISTORY_EVENT_TYPE[number];

@model({
    transportLayer: "/api/order_histories",
    permissionTarget: "OrderHistory",
    routingInfo: {}
})

export class OrderHistoryModel extends Model {
    @attribute({
        label: t`Event Type`,
    })
    event_type: OrderHistoryEventType | null = null;

    @attribute()
    data: any = null;

    @attribute({
        label: t`Time`,
    })
    time: string = "";

    @attribute()
    order_id: number = 0;

    constructor() {
        super();
        super.setup();
    }
}

export const OrderHistoryStore = OrderHistoryModel.store as DataStore<OrderHistoryModel>;