import {attribute, DataStore, Model, model} from "@rx-suite/data";
import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
    transportLayer: "/api/reject_filters",
    permissionTarget: "RejectFilter",
    routingInfo: {
        create: '/reject_filters/create',
        update: '/reject_filters/:id/edit'
    }
})
export class RejectFilterModel extends Model {
    @attribute({
        label: t`Reject Key`
    })
    reject_key: 'processAborted' = 'processAborted'

    @attribute({
        label: t`Comment Regex`,
        validation: yup.string()
    })
    comment_regex: string = ''

    @attribute({})
    machine_id: string = ''

    constructor() {
        super();
        super.setup();
    }
}
export const RejectFilterStore = RejectFilterModel.store as DataStore<RejectFilterModel>;
