import {attribute, DataStore, Model, model} from "@rx-suite/data";
import {t} from "@lingui/macro";

@model({
    transportLayer: "/api/required_process_state_histories",
    permissionTarget: "RequiredProcessStateHistory"
})

export class RequiredProcessStateHistoryModel extends Model {
    @attribute({
        label: t`Source`,
    })
    source: string = '';

    @attribute({
        label: t`State`,
    })
    state: string = '';

    @attribute({
        label: t`Comment`,
    })
    comment: string = '';

    @attribute({
        label: t`Time`
    })
    time: string = '';

    @attribute({
        label: t`Required Process Id`,
    })
    required_process_id: number = 0;

    constructor() {
        super();
        super.setup();
    }
}

export const RequiredProcessStateHistoryStore = RequiredProcessStateHistoryModel.store as DataStore<RequiredProcessStateHistoryModel>;