import {attribute, DataStore, Model, model} from '@rx-suite/data';

export type RequiredProcessState = "NOTSTARTED" | "STARTED" | "FINISHED" | "ABORTED";
export type JobSide = "left" | "right";

@model({
    transportLayer: "/api/required_processes",
    permissionTarget: "RequiredProcess",
})

export class RequiredProcessModel extends Model {
    @attribute()
    job_process_id: number = 0;

    @attribute()
    capability_ids: number[] = [];

    @attribute()
    side: JobSide = 'left';

    @attribute()
    state: RequiredProcessState = "NOTSTARTED";

    @attribute()
    is_rework: boolean = false;


    constructor() {
        super();
        super.setup();
    }
}

export const RequiredProcessStore = RequiredProcessModel.store as DataStore<RequiredProcessModel>;