import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: "/api/tag_conditions",
    permissionTarget: "TagCondition",
    routingInfo: {
        create: 'tag_conditions/create',
        read: '/tag_conditions/:id/edit',
        update: '/tag_conditions/:id/edit'
    }
})

export class TagConditionModel extends Model {
    @attribute({
        label: t`Id`,
        validation: yup.number()
    })
    id: number = 0;

    @attribute({
        label: t`Condition`,
        validation: yup.object()
    })
    condition: object = {};

    @attribute({
        label: t`Job Process Id`,
        validation: yup.number()
    })
    job_process_id: number = 0;

    @attribute({
        label: t`Capability Id`,
        validation: yup.number()
    })
    capability_id: number = 0;

    constructor() {
        super();
        super.setup();
    }
}

export const TagConditionStore = TagConditionModel.store as DataStore<TagConditionModel>;
