import {attribute, DataStore, Model, model} from '@rx-suite/data';
import * as yup from 'yup';
import { t } from "@lingui/macro"

@model({
    transportLayer: "/api/trace_route",
    permissionTarget: "TraceRoute",
    routingInfo: {
        create: '/trace_route/create',
        read: '/trace_route/:id/edit',
        update: '/trace_route/:id/edit'
    }
})
export class TraceRouteModel extends Model {
    @attribute({
        label: t`Tag Name`,
        validation: yup.string()
    })
    tag: string = '';

    @attribute({
        label: t`Type`,
        validation: yup.string()
    })
    value_type: string = '';

    constructor() {
        super();
        super.setup();
    }
}

export const TraceRouteStore = TraceRouteModel.store as DataStore<TraceRouteModel>;
