module RouterEndpoints
  class CompleteJob < ApplicationJob
    queue_as :router_job_processes

    def perform(data)
      order_number = data[:order]
      order = Order.find_by(number: order_number)

      return if order.nil?

      Order.transaction do
        order.order_histories.build({
                                      event_type: :order_complete,
                                      data: {}.to_json,
                                      time: Time.zone.now
                                    })
        order.assign_attributes({ is_routing: false })
        order.save!
      end

       RxModule::WorkerBroadcast.broadcast_later(model: order, action: :update)
    end
  end
end