module RouterEndpoints
  class ScheduleProcessStateChangeJob < ApplicationJob
    queue_as :router_job_processes

    def perform(data)
      order = Order.find_by(number: data[:order])
      machine = Machine.joins(:component).find_by('components.name': data[:machine])

      unless order.nil? || machine.nil? || machine.job_process.nil?
        complete_at = Time.zone.now + (machine.force_duration.seconds).second
        Rails::logger.info "Scheduling process #{machine.job_process.name} for #{order.number} at #{complete_at}"
        ScheduledProcessChange.create(order: order, machine: machine, complete_at: complete_at)
      end
    end
  end
end

