module RouterEndpoints
  class UpdateRejectJob < ApplicationJob
    queue_as :router_job_processes

    def perform(data)
      order_number = data[:order]
      order = Order.find_by(number: order_number)

      return if order.nil?

      Order.transaction do
        if data[:isReject]
          order.reject(data[:rejectData][:key], Time.zone.parse(data[:time]), data[:rejectData][:data])
        else
          order.unreject(Time.zone.parse(data[:time]))
        end
        order.save!
      end

      RxModule::WorkerBroadcast.broadcast_later(model: order, action: :update)
    end
  end
end