module OrderRequest
  class OrderRequestNew < OrderRequest
    def execute(order_number)

      @order = Order.create_new(order_number)

      process_request = ProcessFetcher.fetch_for_job_number(order_number, Setting.instance.post_job_data?)

      if Setting.instance.rx_data_tag_source? && !process_request.job_active
        @order.set_rx_data_identifiers(process_request.rx_data_order_id, process_request.rx_data_job_ids, process_request.lens_numbers) # set the ids so that the order is properly linked even if it is expired
        handle_reject_order({reason: "Job is inactive in Rx-Data."})
      else
        @order.set_rx_data_identifiers(process_request.rx_data_order_id, process_request.rx_data_job_ids, process_request.lens_numbers)
        @order.set_required_processes(process_request.processes)
      end
    rescue ProcessRequest::OrderDoesNotExist
      handle_reject_order({ source: Setting.instance.rx_data_tag_source? ? 'Rx-Data' : 'LMS' })
    rescue => err
      Rails.logger.warn "Failed to fetch order #{order_number} - #{err}"
      handle_reject_order({ reason: 'Unknown Error' })
    end
  end
end