class ProcessRequest
  class NoProcesses < StandardError; end
  class OrderDoesNotExist < StandardError; end
  class InvalidLensNumber < StandardError; end
  class FailedToFetchFromSource < StandardError; end
  class TimeoutWhileFetchingFromSource < StandardError; end

  attr_accessor :rx_data_order_id, :rx_data_job_ids, :job_active, :job_number, :tags, :processes, :lens_numbers

  def initialize(job_number)
    @job_number = job_number
    @lens_numbers = []
    @tags = {}
    @processes = nil
    @job_active = true
    @rx_data_order_id = nil
    @rx_data_job_ids = {}
  end

  def required_sides
    sides = []
    sides << :right if do_right?
    sides << :left if do_left?
    sides
  end

  def fetch
    raise NotImplementedError
  end

  def do_right?
    return false if @tags.blank?
    !(@tags[:right].nil?)
  end

  def do_left?
    return false if @tags.blank?
    !(@tags[:left].nil?)
  end
end
