class Capability < ApplicationRecord
  belongs_to :job_process
  has_one :tag_condition, :dependent => :destroy
  has_many :capability_required_processes
  has_many :required_processes, :through => :capability_required_processes
  has_many :capability_machines, :dependent => :destroy
  has_many :machines, :through => :capability_machines

  def has_condition?
    return false if self.tag_condition.nil?
    true
  end

  def resolve_rank
    return rank unless rank.nil?
    9999 # return a high rank if no rank is specified
  end
end
