class DeviceRoutingCommandDevice < ApplicationRecord
  include IsRouterResource

  belongs_to :device_routing_command
  belongs_to :opcua_device

  def to_json(*)
    render_jbuilder_partial
  end

  concerning :IsRouterResource do
    def as_router_data
      connector_commands = device_routing_command.connector_commands.sort_by { |connector_command| connector_command[:rank] }
      {
        command: device_routing_command.command,
        param: device_routing_command.parameter,
        enabled: enabled,
        path: connector_commands.map do |connector_command|
          connector_command.opcua_connector.name
        end,
        extraRequirements: ExtraRequirement.where(device_id: opcua_device_id, device_routing_command_id: device_routing_command_id)
                                           .map {|req| req.as_router_data}
      }
    end
  end
end

