class Event < ApplicationRecord
  enum event_type: [:info, :warning, :fatal]

  after_create do |model|
    ActionCable.server.broadcast('EventsChannel', {
      action: 'create',
      model: model,
      timestamp: Time.now.to_i
    })
  end

  def should_broadcast?
    false
  end
end