class MachineExit < Machine
  class << self
    def new_from_params(params)
      component = Component.new(name: params[:name])
      machine = new(apply_process_change_on: 'auto_finish', forced_state: 'online')
      component.machine = machine

      machine.build_connectors

      processed = JobProcess.where(name: 'processed').first
      machine.job_process = processed
      accepted = processed&.capabilities&.where(name: 'accepted')&.first
      cap = CapabilityMachine.new({machine_id: machine.id, capability_id: accepted&.id, enabled: true})
      machine.association(:capability_machines).add_to_target(cap)

      machine
    end
  end
end