class MachineReject < Machine
  class << self
    def new_from_params(params)
      component = Component.new(name: params[:name])
      machine = MachineReject.new(apply_process_change_on: 'auto_finish', forced_state: 'online')
      component.machine = machine

      machine.build_connectors

      processed = JobProcess.where(name: 'processed').first
      machine.job_process = processed
      rejected = processed&.capabilities&.where(name: 'rejected')&.first
      cap = CapabilityMachine.new({machine_id: machine.id, capability_id: rejected&.id, enabled: true})
      machine.association(:capability_machines).add_to_target(cap)

      machine
    end
  end

  concerning :IsRouterResource do
    def as_router_data
      base = super

      base.merge!(
        {
          rejectFilters: reject_filters.map {|reject_filter| reject_filter.as_router_data}
        })
    end
  end
end