class MachineVirtual < Machine
  class << self
    def new_from_params(params)
      component = Component.new(name: params[:name])
      component.machine = MachineVirtual.new(apply_process_change_on: 'auto_finish', forced_state: 'online')

      component.machine.build_connectors

      component.machine.assign_attributes_from_params(params)

      component.machine
    end
  end

  def external_attributes
    return {} if sn.nil? # Normal MachineVirtual
    # If a real machine was converted into a "fake" machine, the cache still needs to be reloaded
    cache = MachineFetcher.machine_status(rx_data_id)
    {
      state: cache[:status],
      time: cache[:time]
    }
  end

  concerning :IsRouterResource do
    def as_router_data
      base = super

      base.merge!(process_router_data)

      base.merge!({
        serialNumber: sn # Some processes (i.e chamfering) are not real machine, but we still want to send a job state
      })
    end
  end
end
