class MopConnector < Connector
  def assign_attributes_from_params(params)
    assign_attributes(
      name: params[:name],
      state: params[:state],
      control_action_config: ensure_control_action_params(params[:control_action_config]),
      path: params[:path],
      path_length: params[:path_length]
    )
  end

  concerning :IsRouterResource do
    def as_router_data
      {
        name: name,
        state: state,
        type: connector_type,
        path: path,
        pathLength: path_length,
        controlActions: if control_action_config.nil?
                          nil
                        else
                          JSON.parse(control_action_config)
                        end
      }
    end
  end
end