class MopDevice < Device
  class << self
    def new_from_params(params)
      component = Component.new
      component.device = MopDevice.new
      component.device.assign_attributes_from_params(params)

      component.connectors << MopConnector.new({ name: 'input', connector_type: 'input', path: nil})

      for i in 0..(params[:number_of_outputs].to_i - 1) do
        component.connectors << MopConnector.new({ name: "output-#{i}", connector_type: 'output', path: i})
      end

      component.device
    end
  end

  def assign_attributes_from_params(params)
    component.name = params[:name]
    assign_attributes(
      routing_retry_delay: nil,
      delay_on_command_complete: nil,
      send_job_state_as: params[:send_job_state_as],
      job_state_process: params[:job_state_process],
      always_send_both_job_states: params[:always_send_both_job_states]
    )
  end

  def controller_name
    "DevicesController"
  end
end