module OpcuaDeviceDefinitions
  module FlexLink
    class H4 < FlexLinkDevice
      class << self
        def name
          "H4"
        end

        def constants
          {
            "DP1" => constants_default_value,

            "T1" => constants_default_value,
            "T2" => constants_default_value,

            "D12" => dpin_constant,
            "D13" => dpin_constant,
            "D23" => dpin_constant,
            "D27" => dpin_constant
          }
        end

        def connectors
          {
            "trunk-in" => {
              "type": "input",
              "variable": "S1",
              "priority": 0,
              "action_delay": 250
            },
            "trunk-transfer" => {
              "type": "other",
              "variable": "S2",
            },
            "trunk-out" => {
              "type": "output",
              "variable": "S3",
            },
            "kickout" => {
              "type": "output",
              "variable": "S7",
            }
          }
        end

        def commands
          [
            {
              command: "CT",
              parameter: "0",
              path: %w(trunk-in trunk-transfer trunk-out)
            },
            {
              command: "CT",
              parameter: "1",
              path: %w(trunk-in trunk-transfer kickout)
            }
          ]
        end
      end
    end
  end
end

