module OpcuaDeviceDefinitions
  module Modular
    class HT1 < ModularDevice
      class << self
        def name
          "HT1"
        end

        def connectors
          {
            "trunk-in" => {
              "type": "input",
              "variable": "S1",
              "priority": 0,
              "action_delay": 250
            },
            "trunk-transfer" => {
              "type": "other",
              "variable": "S2",
            },
            "trunk-out" => {
              "type": "output",
              "variable": "S3",
            },
            "feed-in" => {
              "type": "input",
              "variable": "S4",
              "priority": 1,
              "action_delay": 250
            },
            "feed-transfer" => {
              "type": "other",
              "variable": "S5",
            },
            "feed-out" => {
              "type": "output",
              "variable": "S6",
            }
          }
        end

        def commands
          [
            {
              command: "CT",
              parameter: "0",
              path: %w(trunk-in trunk-transfer trunk-out)
            },
            {
              command: "CT",
              parameter: "1",
              path: %w(trunk-in trunk-transfer feed-transfer feed-out)
            },
            {
              command: "CF",
              parameter: "0",
              path: %w(feed-in feed-transfer trunk-transfer trunk-out)
            },
            {
              command: "CF",
              parameter: "1",
              path: %w(feed-in feed-transfer feed-out)
            }
          ]
        end
      end
    end
  end
end

