module OpcuaDeviceDefinitions
  module Modular
    class HTT2 < ModularDevice
      class << self
        def name
          "HTT2"
        end

        def connectors
          {
            "trunk-in" => {
              "type": "input",
              "variable": "S1",
              "priority": 0,
              "action_delay": 250
            },
            "trunk-transfer" => {
              "type": "other",
              "variable": "S2",
            },
            "trunk-out" => {
              "type": "output",
              "variable": "S3",
            },
            "feed-in" => {
              "type": "input",
              "variable": "S4",
              "priority": 1,
              "action_delay": 250
            },
            "feed-transfer1" => {
              "type": "other",
              "variable": "S5",
            },
            "feed-out1" => {
              "type": "output",
              "variable": "S6",
            },
            "feed-transfer2" => {
              "type": "other",
              "variable": "S8",
            },
            "feed-out2" => {
              "type": "output",
              "variable": "S9",
            }
          }
        end

        def commands
          [
            {
              command: "CT",
              parameter: "0",
              path: %w(trunk-in trunk-transfer trunk-out)
            },
            {
              command: "CT",
              parameter: "1",
              path: %w(trunk-in trunk-transfer feed-transfer1 feed-out1)
            },
            {
              command: "CT",
              parameter: "2",
              path: %w(trunk-in trunk-transfer feed-transfer1 feed-transfer2 feed-out2)
            },
            {
              command: "CF",
              parameter: "0",
              path: %w(feed-in feed-transfer1 trunk-transfer trunk-out)
            },
            {
              command: "CF",
              parameter: "1",
              path: %w(feed-in feed-transfer1 feed-out1)
            },
            {
              command: "CF",
              parameter: "2",
              path: %w(feed-in feed-transfer1 feed-transfer2 feed-out2)
            },
          ]
        end
      end
    end
  end
end

