module OpcuaDeviceDefinitions
  module Ncc
    class V1 < NccDevice
      class << self
        def name
          "V1"
        end

        def constants
          {
            "DP1" => constants_default_value,
            "DP3" => constants_default_value,

            "T1" => constants_default_value,
            "T2" => constants_default_value,
            "T3" => constants_default_value,
            "T7" => constants_default_value,

            "D12" => dpin_constant,
            "D23" => dpin_constant,
            "D25" => dpin_constant,
            "D45" => dpin_constant,
            "D52" => dpin_constant,
            "D56" => dpin_constant
          }
        end

        def connectors
          {
            "trunk-in" => {
              "type": "input",
              "variable": "S1",
              "priority": 0,
              "action_delay": 250
            },
            "trunk-transfer" => {
              "type": "other",
              "variable": "S2"
            },
            "trunk-out" => {
              "type": "output",
              "variable": "S3"
            },
            "feed-transfer" => {
              "type": "other",
              "variable": "S5"
            },
            "feed-in" => {
              "type": "output",
              "variable": "S4"
            }
          }
        end

        def commands
          [
            {
              command: "CT",
              parameter: "0",
              path: %w(trunk-in trunk-transfer trunk-out)
            },
            {
              command: "CF",
              parameter: "0",
              path: %w(feed-in feed-transfer trunk-transfer trunk-out)
            }
          ]
        end
      end
    end
  end
end