class OrderHistory < ApplicationRecord
  belongs_to :order

  before_create :set_default_timestamp

  enum event_type: [
    :order_create,
    :order_reject,
    :order_unreject,
    :order_update,
    :process_update,
    :location_update,
    :order_complete,
    :process_set,
    :order_rework
  ]

  def set_default_timestamp
    return if time
    self.time = Time.zone.now
  end

  def should_broadcast?
    false
  end
end
