class TagCondition < ApplicationRecord
  belongs_to :job_process, optional: true
  belongs_to :capability, optional: true

  after_destroy do |model|
    ActionCable.server.broadcast "everything", {
        model: JSON.parse(render_jbuilder_partial),
        class: model.class.name,
        action: :destroy
    }
  end

  def should_broadcast?
    false
  end
end