class EventCleaner < RxModule::Routine
  class << self
    def routine_type
      :cron
    end

    def frequency
      # everyday at 5 past midnight
      '5 0 * * *'
    end

    def work
      Rails::logger.info "Event Cleanup [Started]"

      # Query for top 1000 event ids ordered by event time
      order_event_ids = Event.select(:id)
                          .from("(#{Event.select(:id)
                                         .order(time: :desc)
                                         .limit(1000).to_sql}) as x")

      # Delete all since we don't need to broadcast to the front-end
      Event.where("id not in (#{order_event_ids.to_sql})").delete_all
      Rails::logger.info "Event Cleanup [Completed]"
    end
  end
end