class CreateDevices < ActiveRecord::Migration[6.0]
  def change

    create_table :devices do |t|
      t.belongs_to :device_type
      t.belongs_to :component
      t.integer :routing_retry_delay
      t.integer :delay_on_command_complete
      t.string :type, null: false

      t.timestamps
    end

    create_table :device_types do |t|
      t.string :name
      t.boolean :all_in_one
      t.string :root_node_id
      t.integer :routing_retry_delay
      t.integer :delay_on_command_complete

      t.timestamps
    end

    create_table :device_routing_commands do |t|
      t.string :command
      t.string :parameter

      t.belongs_to :device_type

      t.timestamps
    end

    create_table :device_timers do |t|
      t.string :variable
      t.integer :time
      t.string :description

      t.belongs_to :device_type
      t.belongs_to :opcua_component
    end

    create_table :command_requirements do |t|
      t.text :target
      t.text :options

      t.belongs_to :device_routing_command
    end

    create_table :connector_commands do |t|
      t.integer :rank

      t.belongs_to :opcua_connector
      t.belongs_to :device_routing_command
    end
  end
end
