class CreateSettings < ActiveRecord::Migration[6.0]
  def change
    create_table :settings do |t|
      t.string :connection_type, :default => 'opcua'
      t.string :variant, :default => 'ncc'
      t.string :opcua_server_url
      t.string :lms_ip
      t.integer :lms_port
      t.boolean :is_lms_online
      t.string :router_status, :default => 'offline'
      t.string :opcua_value_change
      t.string :device_root_path
      t.string :full_decision_on_failed_path
      t.integer :max_job_fetcher_retry
      t.integer :job_fetcher_timeout
      t.string :last_server_message
      t.string :tag_data_source, :default => 'lms'
      t.boolean :use_default_processes_on_fail_fetch, :default => false
      t.integer :mark_job_dead_after_x_visit, :default => -1
      t.boolean :launch_server_on_service_start, :default => false
      t.integer :job_stale_time, :default => 172800

      t.timestamps
    end
  end

  create_table :fetched_jobs do |t|
    t.string :job_number
    t.text :tags
    t.text :processes
  end
end
