class AddOpcuaTypeToDeviceTypes < ActiveRecord::Migration[6.0]
  class DeviceType < ActiveRecord::Base; end
  class Setting < ActiveRecord::Base; end

  def change
    add_column :device_types, :opcua_type, :text

    # Previously all the existing devices were modular devices
    DeviceType.update_all(opcua_type: "modular")

    # Previously, all OPC UA installs were of the modular variant
    settings = Setting.first
    unless settings.nil?
      if settings.connection_type == 'OPCUA'
        settings.variant = 'modular'
        settings.save
      end
    end
  end
end
