class CreateLmsConfigsTable < ActiveRecord::Migration[6.0]
  def up
    create_table :lms_configs do |t|
      t.string :name
      t.string :ip
      t.integer :port
      t.integer :priority
      t.integer :length_left_bound
      t.integer :length_right_bound
      t.boolean :online, default: false
      t.belongs_to :setting
    end

    add_column :settings, :lms_rule_mode, :integer

    # Insert existing LMS connection to LMS configs
    setting = Setting.first
    if setting&.lms_ip && setting&.lms_port
      execute("insert into lms_configs (ip, port, online, priority, setting_id) values ('#{setting.lms_ip}', #{setting.lms_port}, 'false', 1, #{setting.id})") unless setting.nil?
    end
    execute("update settings set lms_rule_mode=0")

    remove_column :settings, :lms_ip
    remove_column :settings, :lms_port
    remove_column :job_router_controls, :lms_online
  end

  def down
    add_column :settings, :lms_ip, :string
    add_column :settings, :lms_port, :integer
    add_column :job_router_controls, :lms_online, :boolean

    lms_config = LmsConfig.first
    execute("update settings set lms_ip='#{lms_config.ip}', lms_port=#{lms_config.port}") unless lms_config.nil?

    remove_column :settings, :lms_rule_mode
    drop_table :lms_configs
  end
end
