class AddOpcuaScannerToConnectors < ActiveRecord::Migration[6.0]
  def up
    add_column :connectors, :opcua_scanner_reference, :string
    rename_column :connectors, :scanner_reference, :rx_scanner_reference
    add_column :settings, :use_rx_scanners, :boolean, default: true

    enable = if ENV['PLC_CONTROL'].downcase == 'opcua' && ENV['RX_ROUTER_LEVEL'].downcase != 'basic'
               true
             else
               false
             end

    execute("update settings set use_rx_scanners='#{enable}'")
  end

  def down
    remove_column :connectors, :opcua_scanner_reference
    rename_column :connectors, :rx_scanner_reference,:scanner_reference
    remove_column :settings, :use_rx_scanners
  end
end
