class AddJoinTableBetweenRoutingCommandsAndDevices < ActiveRecord::Migration[6.0]
  def up
    create_table :device_routing_command_devices, force: :cascade do |t|
      t.references :device_routing_command, foreign_key: true, index: {name: :index_device_routing_command_devices_on_routing_command_id}
      t.belongs_to :opcua_device
      t.boolean :enabled, :default => true

      t.timestamps
    end

    OpcuaDevice.find_each do |device|
      device_type = device.device_type
      routing_command_ids = device_type.device_routing_command_ids.map {|drci| {opcua_device_id: device.id, device_routing_command_id: drci}}
      DeviceRoutingCommandDevice.create!(routing_command_ids)
    end
  end

  def down
    drop_table :device_routing_command_devices
  end
end
