class AddHandleStartedToJobProcess < ActiveRecord::Migration[6.0]

  class JobProcess < ActiveRecord::Base
  end

  def up
    add_column :job_processes, :handle_started, :integer, :default => 0

    # Processes that were flag to 'do_not_reject_started' behave as 'hold_as_next' with the new mechanism
    JobProcess.find_each do |job_process|
      job_process.update!(handle_started: job_process.do_not_reject_started ? 2 : 0)
    end

    remove_column :job_processes, :do_not_reject_started
  end

  def down
    add_column :job_processes,:do_not_reject_started, :boolean, :default => false

    # Processes that were flag to 'do_not_reject_started' behave as 'hold_as_next' with the new mechanism
    JobProcess.find_each do |job_process|
      job_process.update!(do_not_reject_started: job_process.handle_started == 2 ? true : false)
    end

    remove_column :job_processes, :handle_started
  end
end
