class ChangeMesMachineStatesNameToEnum < ActiveRecord::Migration[6.0]
  class MesMachineState< ActiveRecord::Base
  end

  def state_to_int
    {
      'ON' => 0,
      'OFF' => 1,
      'READY' => 2,
      'WAITINGFORJOBS' => 3,
      'PROCESSING' => 4,
      'NOTREADY' => 5,
      'ERROR' => 6,
      'HALT' => 7,
      'ESTOP' => 8,
      'MAINTENANCE' => 9,
      'CALIBRATION' => 10,
      'SETUP' => 11,
      'NOTCONNECTED' => 12
    }
  end

  def int_to_state
    state_to_int.keys
  end

  def up
    rename_column :mes_machine_states, :name, :old_name
    add_column :mes_machine_states, :name, :integer

    state_ids_to_destroy = []
    MesMachineState.find_each do |machine_state|
      if state_to_int.has_key? machine_state.old_name.upcase
        machine_state.update(name: state_to_int[machine_state.old_name])
      else
        state_ids_to_destroy << machine_state.id
      end
    end

    MesMachineState.where(id: state_ids_to_destroy).destroy_all

    remove_column :mes_machine_states, :old_name
  end

  def down
    rename_column :mes_machine_states, :name, :old_name
    add_column :mes_machine_states, :name, :string

    MesMachineState.find_each do |machine_state|
      machine_state.update(name: int_to_state[machine_state.old_name])
    end

    remove_column :mes_machine_states, :old_name
  end
end
