# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2024_02_05_201115) do

  create_table "capabilities", force: :cascade do |t|
    t.bigint "job_process_id"
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "display_name"
    t.integer "rank"
    t.index ["job_process_id"], name: "index_capabilities_on_job_process_id"
  end

  create_table "capability_machines", force: :cascade do |t|
    t.bigint "machine_id"
    t.bigint "capability_id"
    t.boolean "enabled", default: true
    t.datetime "created_at", precision: 6
    t.datetime "updated_at", precision: 6
    t.index ["capability_id"], name: "index_capability_machines_on_capability_id"
    t.index ["machine_id", "capability_id"], name: "index_capability_machines_on_machine_id_and_capability_id", unique: true
    t.index ["machine_id"], name: "index_capability_machines_on_machine_id"
  end

  create_table "capability_required_processes", force: :cascade do |t|
    t.bigint "capability_id"
    t.bigint "required_process_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["capability_id"], name: "index_capability_required_processes_on_capability_id"
    t.index ["required_process_id"], name: "index_capability_required_processes_on_required_process_id"
  end

  create_table "command_requirements", force: :cascade do |t|
    t.text "target"
    t.text "options"
    t.bigint "device_routing_command_id"
    t.index ["device_routing_command_id"], name: "index_command_requirements_on_device_routing_command_id"
  end

  create_table "components", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "connector_commands", force: :cascade do |t|
    t.integer "rank"
    t.bigint "opcua_connector_id"
    t.bigint "device_routing_command_id"
    t.index ["device_routing_command_id"], name: "index_connector_commands_on_device_routing_command_id"
    t.index ["opcua_connector_id"], name: "index_connector_commands_on_opcua_connector_id"
  end

  create_table "connectors", force: :cascade do |t|
    t.string "name"
    t.string "variable"
    t.string "connector_type"
    t.float "priority"
    t.integer "path"
    t.integer "action_delay"
    t.integer "rx_scanner_reference"
    t.integer "scanner_retry"
    t.string "state", default: "online"
    t.string "type", null: false
    t.bigint "component_id"
    t.string "opcua_scanner_reference"
    t.text "control_action_config"
    t.integer "path_length", default: 1
    t.index ["component_id"], name: "index_connectors_on_component_id"
  end

  create_table "delayed_jobs", force: :cascade do |t|
    t.integer "priority", default: 0, null: false
    t.integer "attempts", default: 0, null: false
    t.text "handler", null: false
    t.text "last_error"
    t.datetime "run_at"
    t.datetime "locked_at"
    t.datetime "failed_at"
    t.string "locked_by"
    t.string "queue"
    t.datetime "created_at", precision: 6
    t.datetime "updated_at", precision: 6
    t.index ["priority", "run_at"], name: "delayed_jobs_priority"
  end

  create_table "device_routing_command_devices", force: :cascade do |t|
    t.bigint "device_routing_command_id"
    t.bigint "opcua_device_id"
    t.boolean "enabled", default: true
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["device_routing_command_id"], name: "index_device_routing_command_devices_on_routing_command_id"
    t.index ["opcua_device_id"], name: "index_device_routing_command_devices_on_opcua_device_id"
  end

  create_table "device_routing_commands", force: :cascade do |t|
    t.string "command"
    t.string "parameter"
    t.bigint "device_type_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["device_type_id"], name: "index_device_routing_commands_on_device_type_id"
  end

  create_table "device_timers", force: :cascade do |t|
    t.string "variable"
    t.integer "time"
    t.string "description"
    t.bigint "device_type_id"
    t.bigint "opcua_device_id"
    t.index ["device_type_id"], name: "index_device_timers_on_device_type_id"
    t.index ["opcua_device_id"], name: "index_device_timers_on_opcua_device_id"
  end

  create_table "device_types", force: :cascade do |t|
    t.string "name"
    t.boolean "all_in_one"
    t.string "root_node_id"
    t.integer "routing_retry_delay"
    t.integer "delay_on_command_complete"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.text "opcua_type"
  end

  create_table "devices", force: :cascade do |t|
    t.bigint "device_type_id"
    t.bigint "component_id"
    t.integer "routing_retry_delay"
    t.integer "delay_on_command_complete"
    t.string "type", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "send_job_state_as"
    t.string "job_state_process"
    t.index ["component_id"], name: "index_devices_on_component_id"
    t.index ["device_type_id"], name: "index_devices_on_device_type_id"
  end

  create_table "events", force: :cascade do |t|
    t.integer "event_type"
    t.datetime "time"
    t.string "message"
    t.text "details"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "extra_requirements", force: :cascade do |t|
    t.integer "node_id"
    t.integer "connector_id"
    t.integer "job_process_id"
    t.bigint "device_routing_command_id"
    t.bigint "device_id"
    t.index ["device_id"], name: "index_extra_requirements_on_device_id"
    t.index ["device_routing_command_id"], name: "index_extra_requirements_on_device_routing_command_id"
  end

  create_table "job_processes", force: :cascade do |t|
    t.string "name"
    t.integer "rank"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "is_control_process", default: false
    t.string "display_name"
    t.integer "capability_resolve_mode", default: 0
    t.integer "handle_started", default: 0
  end

  create_table "job_router_controls", force: :cascade do |t|
    t.string "status", default: "offline"
    t.string "last_server_message"
    t.boolean "rx_data_online"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "rx_scanners_online"
  end

  create_table "jobs", force: :cascade do |t|
    t.string "number"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "rx_data_job_id"
    t.bigint "order_id"
    t.integer "side"
    t.index ["number"], name: "index_jobs_on_number"
    t.index ["order_id"], name: "index_jobs_on_order_id"
  end

  create_table "lms_configs", force: :cascade do |t|
    t.string "name"
    t.string "ip"
    t.integer "port"
    t.integer "priority"
    t.integer "length_left_bound"
    t.integer "length_right_bound"
    t.boolean "online", default: false
    t.integer "lms_type"
    t.string "device_type"
    t.integer "delay_on_socket_open", default: 0
    t.boolean "hold_connection", default: false
    t.integer "max_open_connections", default: 0
    t.integer "external_dcs_id"
  end

  create_table "machines", force: :cascade do |t|
    t.bigint "job_process_id"
    t.bigint "component_id"
    t.integer "force_duration"
    t.string "sn"
    t.integer "rx_data_id"
    t.string "type", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "ignore_state"
    t.bigint "selected_reject"
    t.string "apply_process_change_on", default: "use_job_state"
    t.boolean "allow_job_start", default: false
    t.bigint "lms_config_id"
    t.boolean "restart_jobs", default: false
    t.integer "forced_state"
    t.index ["component_id"], name: "index_machines_on_component_id"
    t.index ["job_process_id"], name: "index_machines_on_job_process_id"
    t.index ["lms_config_id"], name: "index_machines_on_lms_config_id"
  end

  create_table "mes_machine_states", force: :cascade do |t|
    t.bigint "machine_mes_id"
    t.boolean "online"
    t.integer "name"
    t.index ["machine_mes_id"], name: "index_mes_machine_states_on_machine_mes_id"
  end

  create_table "order_histories", force: :cascade do |t|
    t.integer "event_type"
    t.text "data"
    t.datetime "time"
    t.bigint "order_id"
    t.index ["order_id"], name: "index_order_histories_on_order_id"
  end

  create_table "order_machine_schedules", force: :cascade do |t|
    t.bigint "order_id"
    t.bigint "machine_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["machine_id"], name: "index_order_machine_schedules_on_machine_id"
    t.index ["order_id"], name: "index_order_machine_schedules_on_order_id"
  end

  create_table "orders", force: :cascade do |t|
    t.string "number"
    t.string "reject_reason"
    t.string "reject_description"
    t.text "reject_data"
    t.string "location"
    t.datetime "reject_time", default: '02-15-2024 17:16:38.826'
    t.datetime "location_time", default: '02-15-2024 17:16:38.826'
    t.boolean "is_routing", default: false
    t.bigint "rx_data_order_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "reject_filters", force: :cascade do |t|
    t.integer "reject_key"
    t.string "comment_regex"
    t.bigint "machine_id"
    t.index ["machine_id"], name: "index_reject_filters_on_machine_id"
  end

  create_table "required_process_state_histories", force: :cascade do |t|
    t.bigint "required_process_id"
    t.string "state"
    t.string "source"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.datetime "time"
    t.text "comment"
    t.index ["required_process_id"], name: "index_required_process_state_histories_on_required_process_id"
  end

  create_table "required_processes", force: :cascade do |t|
    t.bigint "job_id"
    t.bigint "job_process_id"
    t.string "state"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "last_location_received_at"
    t.string "last_comment"
    t.boolean "is_rework", default: false
    t.datetime "last_state_change_timestamp", default: '02-15-2024 17:16:40.886'
    t.index ["job_id"], name: "index_required_processes_on_job_id"
    t.index ["job_process_id"], name: "index_required_processes_on_job_process_id"
  end

  create_table "routers", force: :cascade do |t|
    t.integer "status", default: 0
    t.datetime "time", default: '02-15-2024 17:16:40.932'
  end

  create_table "routing_graphs", force: :cascade do |t|
    t.text "serialized_data"
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_model_audit_lines", force: :cascade do |t|
    t.bigint "rx_module_model_audit_id", null: false
    t.text "before"
    t.text "after"
    t.string "column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["rx_module_model_audit_id"], name: "index_rx_module_model_audit_lines_on_rx_module_model_audit_id"
  end

  create_table "rx_module_model_audits", force: :cascade do |t|
    t.string "user_id"
    t.string "user_email"
    t.string "user_role"
    t.string "table"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "model_id"
  end

  create_table "rx_module_serial_numbers", force: :cascade do |t|
    t.string "owner"
    t.bigint "start_number"
    t.bigint "next_number"
    t.integer "padding"
    t.string "column_name", default: "number"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "prefix", limit: 3, default: ""
  end

  create_table "rx_module_tokens", force: :cascade do |t|
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "owner"
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  create_table "rx_module_worker_broadcasts", force: :cascade do |t|
    t.string "model_global_id"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "channel_class"
  end

  create_table "scheduled_process_changes", force: :cascade do |t|
    t.bigint "machine_id"
    t.datetime "complete_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "order_id"
    t.index ["machine_id"], name: "index_scheduled_process_changes_on_machine_id"
    t.index ["order_id"], name: "index_scheduled_process_changes_on_order_id"
  end

  create_table "settings", force: :cascade do |t|
    t.string "opcua_server_url"
    t.string "device_root_path"
    t.integer "rx_data_max_fetch_attempts"
    t.integer "rx_data_fetch_timeout"
    t.string "tag_data_source", default: "lms"
    t.boolean "use_default_processes_on_fail_fetch", default: false
    t.integer "mark_job_dead_after_x_visit", default: -1
    t.boolean "launch_server_on_service_start", default: false
    t.integer "job_stale_time", default: 172800
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "data_format"
    t.boolean "post_job_data", default: false
    t.integer "lms_rule_mode"
    t.boolean "job_create_workstation_enabled", default: false
    t.integer "max_allowed_delayed_jobs", default: 2000
    t.boolean "use_rx_scanners", default: true
    t.boolean "job_rework_enabled", default: false
    t.boolean "loop_load_balancing_enabled", default: false
    t.integer "routing_level", default: 0
    t.integer "connection_type", default: 0
    t.integer "variant", default: 0
  end

  create_table "tag_conditions", force: :cascade do |t|
    t.text "condition"
    t.bigint "job_process_id"
    t.bigint "capability_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["capability_id"], name: "index_tag_conditions_on_capability_id"
    t.index ["job_process_id"], name: "index_tag_conditions_on_job_process_id"
  end

  create_table "tags", force: :cascade do |t|
    t.string "tag"
    t.string "value_type"
    t.string "default_value"
    t.boolean "system_tag", default: false
  end

  add_foreign_key "device_routing_command_devices", "device_routing_commands"
  add_foreign_key "rx_module_model_audit_lines", "rx_module_model_audits"
end
